unit loginfou;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, LogoAllU;

type
  TBitmapInfoForm = class(TForm)
    Panel1: TPanel;
    lblFileName: TLabel;
    gbFileHeader: TGroupBox;
    lblBfSize: TLabel;
    lblBfOffBits: TLabel;
    gbInfoHeader: TGroupBox;
    lblBiWidth: TLabel;
    lblBiHeight: TLabel;
    lblBiSizeImage: TLabel;
    lblBiClrUsed: TLabel;
    lblBiClrImportant: TLabel;
    lblColorPresent: TLabel;
    BitBtn1: TBitBtn;
    gbSizeAdjust: TGroupBox;
    lblStatus: TLabel;
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    procedure Initialize(const S : String; const vBFH :
      TBitmapFileHeader; vBIH : TBitmapInfoHeader; vColorsPresent :
      Integer);
    { Public declarations }
  end;

var
  BitmapInfoForm: TBitmapInfoForm;

implementation
USES FileCtrl;
{$R *.DFM}
procedure TBitmapInfoForm.Initialize(const S : String; const vBFH :
  TBitmapFileHeader; vBIH : TBitmapInfoHeader; vColorsPresent :
      Integer);
const
  Fstl : ARRAY[Boolean] OF TFontStyles = ([], [fsBold]);
begin
  lblFileName.Caption       := MinimizeName(S, Canvas, Width-16);
  lblBfSize.Caption         := FormatFloat('0,',vBFH.bfSize);
  lblBfOffBits.Caption      := FormatFloat('0,',vBFH.bfOffBits);
  lblbiWidth.Caption        := FormatFloat('0,',vBIH.biWidth);
  lblbiHeight.Caption       := FormatFloat('0,',vBIH.biHeight);
  lblbiSizeImage.Caption    := FormatFloat('0,',vBIH.biSizeImage);
  lblbiClrUsed.Caption      := FormatFloat('0,',vBIH.biClrUsed);
  lblbiClrImportant.Caption := FormatFloat('0,',vBIH.biClrImportant);
  IF vColorsPresent > -1 THEN
    lblColorPresent.Caption    :=FormatFloat('0,',vColorsPresent)
  ELSE lblColorPresent.Caption := '';
  lblBfSize.Font.Style         := Fstl[vBFH.bfSize = 129078];
  lblBfOffBits.Font.Style      := Fstl[vBFH.bfOffBits = 1078];
  lblBiWidth.Font.Style        := Fstl[vBIH.biWidth = 320];
  lblBiHeight.Font.Style       := Fstl[vBIH.biHeight = 400];
  lblBiSizeImage.Font.Style    := Fstl[vBIH.biSizeImage = 128000];
  lblBiClrUsed.Font.Style      := Fstl[vBIH.biClrUsed = 0];
  IF (vBIH.biWidth=320) AND (vBIH.biHeight=400) THEN
    lblStatus.Caption := 'Size is perfect and will not be changed '+
      'by LogoMania.'
  ELSE IF (vBIH.biWidth <= 320) AND (vBIH.biHeight <= 200) THEN
    lblStatus.Caption := 'LogoMania will double the image height '+
      'and tile as necessary to make a 320x400 image.'
  ELSE
    begin
      lblStatus.Caption := 'LogoMania will halve the image width';
      IF vBIH.biWidth < 640 THEN lblStatus.Caption :=
        lblStatus.Caption+', tile horizontally'
      ELSE IF vBIH.biWidth > 640 THEN lblStatus.Caption :=
        lblStatus.Caption+', chop horizontally'
      ELSE lblStatus.Caption := lblStatus.Caption+
        ', do nothing horizontally';
      IF vBIH.biHeight < 400 THEN lblStatus.Caption :=
        lblStatus.Caption+', and tile vertically'
      ELSE IF vBIH.biHeight > 400 THEN lblStatus.Caption :=
        lblStatus.Caption+', and chop vertically'
      ELSE lblStatus.Caption := lblStatus.Caption+
        ', and do nothing vertically';
      lblStatus.Caption := lblStatus.Caption +
        ' as necessary to make a 320x400 image.'
    end;
end;

procedure TBitmapInfoForm.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  KeyWasF1 := (Key = VK_F1) AND (Shift=[]);
end;

procedure TBitmapInfoForm.FormCreate(Sender: TObject);
begin
  PositionFromIniFile(Self);
end;

procedure TBitmapInfoForm.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  PositionToIniFile(Self);
end;

end.

