unit logoallu;
// data types, variables, and procedures used by multiple forms

interface
USES Windows, Forms;
type
  PFilepaletteType = ^TFilePaletteType;
  TFilePaletteType = ARRAY[0..255] OF TRGBQuad;
  TPixelCountType  = ARRAY[0..255] OF Integer;
  logoType = (lgNone,  // no bitmap
              lgBMP,   // unadjusted bitmap
              lgBMP34, // bitmap adjusted to 320x400
              lgSYS,   // non-animated logo bitmap
              lgSYSa); // animated logo bitmap
  // TFullLogPalette is logpalette containing a full 256 colors
  PFullLogPalette = ^TFullLogPalette;
  TFullLogPalette = packed record
    palVersion: Word;
    palNumEntries: Word;
    palPalEntry: array[0..255] of TPaletteEntry;
  end;
  // TBitmapFullInfo is a TBitmapInfo containing a full 256 colors
  PBitmapFullInfo = ^TBitmapFullInfo;
  TBitmapFullInfo = record
    BIH : TBitmapInfoHeader;
    bmiColors: ARRAY[0..255] OF TRGBQUAD;
  end;
VAR
  KeyWasF1 : Boolean;
  IniName : String;

procedure PositionFromIniFile(TF : TForm);
procedure PositionToIniFile(TF : TForm);

implementation
USES IniFiles;

procedure PositionFromIniFile(TF : TForm);
VAR FormName : String;
begin
  FormName := TF.ClassName;
  System.Delete(FormName, 1, 1);
  WITH TIniFile.Create(IniName) DO
    try
      TF.Left := ReadInteger(FormName, 'Left',
        (Screen.Width-TF.Width) DIV 2);
      TF.Top  := ReadInteger(FormName, 'Top',
        (Screen.Height-TF.Height) DIV 2);
      // Allow for screen resolution changed
      IF TF.Left + TF.Width > Screen.Width THEN
        TF.Left := Screen.Width - TF.Width - 1;
      IF TF.Top + TF.Height > Screen.Height THEN
        TF.Top := Screen.Height - TF.Height - 1;
    finally
      Free;
    end;
end;

procedure PositionToIniFile(TF : TForm);
VAR FormName : String;
begin
  FormName := TF.ClassName;
  System.Delete(FormName, 1, 1);
  WITH TIniFile.Create(IniName) DO
    try
      WriteInteger(FormName, 'Left', TF.Left);
      WriteInteger(FormName, 'Top', TF.Top);
    finally
      Free;
    end;
end;

end.
